Bug 621248 - [abrt] crash in openoffice.org-calc-1:3.2.0-12.25.fc13: Application::RemoveUserEvent: Process /usr/lib64/openoffice.org3/program/scalc.bin was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in openoffice.org-calc-1:3.2.0-12.25.fc13: Application::RemoveUs...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org   
(Show other bugs)
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3eb41944a16f31c25e5a7d41c16...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-04 15:22 UTC by Bill Gradwohl
Modified: 2010-08-19 01:22 UTC (History)
1 user (show)

Fixed In Version: openoffice.org-3.3.0-3.2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-13 21:24:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (49.99 KB, text/plain)
2010-08-04 15:22 UTC, Bill Gradwohl
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 113654 None None None Never

Description Bill Gradwohl 2010-08-04 15:22:09 UTC
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/openoffice.org3/program/scalc.bin -calc file:///root/JP.ods
component: openoffice.org
crash_function: Application::RemoveUserEvent
executable: /usr/lib64/openoffice.org3/program/scalc.bin
global_uuid: 3eb41944a16f31c25e5a7d41c16e120f0bc24acd
kernel: 2.6.33.6-147.fc13.x86_64
package: openoffice.org-calc-1:3.2.0-12.25.fc13
rating: 4
reason: Process /usr/lib64/openoffice.org3/program/scalc.bin was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

comment
-----
This is a large spreadsheet with 9000 lines of macro code to run it. 
The sheets mostly are data entry only with almost no calcs.
The button I hit is used hundreds of times a day for the last 4 years and only the recent upgrade to F13 and the included OO has caused this issue to appear. It never occurred in previous versions.

How to reproduce
-----
1.Simply hit a button I created that calls a macro
2.
3.

Comment 1 Bill Gradwohl 2010-08-04 15:22:25 UTC
Created attachment 436579 [details]
File: backtrace

Comment 2 Caolan McNamara 2010-08-04 16:06:35 UTC
Almost certainly a mismatch between ULONG/sal_uInt32 for Event ids in forms. I thought we got all of those, but I see some in there now

Comment 3 Caolan McNamara 2010-08-04 18:13:12 UTC
Fix will be in >= 3.2.0-12.28

Comment 4 Bill Gradwohl 2010-08-05 15:08:04 UTC
Package: openoffice.org-calc-1:3.2.0-12.25.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Push a button that normally works hundreds of times a day

2.
3.


Comment
-----
Puched a button

Comment 5 Fedora Update System 2010-08-08 16:28:33 UTC
openoffice.org-3.3.0-3.1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/openoffice.org-3.3.0-3.1.fc14

Comment 6 Fedora Update System 2010-08-09 13:18:51 UTC
openoffice.org-3.2.0-12.29.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/openoffice.org-3.2.0-12.29.fc13

Comment 7 Fedora Update System 2010-08-10 07:23:40 UTC
openoffice.org-3.3.0-3.2.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/openoffice.org-3.3.0-3.2.fc14

Comment 8 Fedora Update System 2010-08-10 21:44:39 UTC
openoffice.org-3.2.0-12.29.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/openoffice.org-3.2.0-12.29.fc13

Comment 9 Fedora Update System 2010-08-13 21:23:49 UTC
openoffice.org-3.2.0-12.29.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-08-19 01:21:59 UTC
openoffice.org-3.3.0-3.2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.